/***************************************
 *                                     *
 *  JBoss: The OpenSource J2EE WebOS   *
 *                                     *
 *  Distributable under LGPL license.  *
 *  See terms of license at gnu.org.   *
 *                                     *
 ***************************************/
package org.jboss.remoting.transport.mock;

import java.io.Serializable;

import javax.management.MBeanServer;
import javax.management.MBeanServerFactory;

import org.jboss.remoting.InvokerLocator;
import org.jboss.remoting.transport.test.TransportTest;

/**
 * MockTest
 *
 * @author <a href="mailto:jhaynie@vocalocity.net">Jeff Haynie</a>
 * @version $Revision: 1.3 $
 */
public class MockTest implements Serializable
{
    public static void main (String args[])
    {
        MBeanServer server = MBeanServerFactory.createMBeanServer();
        try
        {
            InvokerLocator socketLocator=new InvokerLocator("socket://localhost");
            TransportTest test1=new TransportTest(server,socketLocator);
        }
        catch (Throwable ex)
        {
            ex.printStackTrace();
            System.exit(1);
        }
    }
}
